Debian Bug report logs - #311936
drpython: hangs when opening a python interpreter

version graph

Package: drpython; Maintainer for drpython is William Vera <billy@billy.com.mx>; Source for drpython is src:drpython.

Reported by: stephen-debianbug@havok.com

Date: Mon, 23 May 2005 10:03:13 UTC

Severity: important

Tags: moreinfo, patch, unreproducible

Found in version 3.10.13-1

Fixed in version drpython/3.10.13-3

Done: Cédric Delfosse <cedric@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cédric Delfosse <cedric@debian.org>:
Bug#310388; Package drpython. Full text and rfc822 format available.

Acknowledgement sent to stephen-debianbug@havok.com:
New Bug report received and forwarded. Copy sent to Cédric Delfosse <cedric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen Kennedy <stephen-debianbug@havok.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: drpython: Two bugs
Date: Mon, 23 May 2005 10:51:15 +0100
Package: drpython
Version: 3.10.13-1
Severity: important

%drpython # now press <Control+Q>
Traceback (most recent call last):
  File "/usr/share/drpython/drNotebook.py", line 705, in OnKeyDown
      self.grandparent.RunShortcuts(event)
AttributeError: 'drMainPanel' object has no attribute 'RunShortcuts'


%drpython # press the python toolbar button (next to "set args")
          # application hangs

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-1-686-smp
Locale: LANG=en_IE.UTF-8@euro, LC_CTYPE=en_IE.UTF-8@euro (charmap=UTF-8)

Versions of packages drpython depends on:
ii  libwxgtk2.5.3-python          2.5.3.2    wxWidgets Cross-platform C++ GUI t
ii  python                        2.3.4-5    An interactive high-level object-o

-- no debconf information



Bug 310388 cloned as bug 311936. Request was from Cedric Delfosse <cedric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Cedric Delfosse <cedric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cédric Delfosse <cedric@debian.org>:
Bug#311936; Package drpython. Full text and rfc822 format available.

Acknowledgement sent to Cedric Delfosse <cedric@debian.org>:
Extra info received and forwarded to list. Copy sent to Cédric Delfosse <cedric@debian.org>. Full text and rfc822 format available.

Message #14 received at 311936@bugs.debian.org (full text, mbox):

From: Cedric Delfosse <cedric@debian.org>
To: 311936@bugs.debian.org
Date: Thu, 09 Jun 2005 21:52:29 +0200
Hello,

do you still have the bug ?

If so, could you try that:

1) Start DrPython normally
2) Run "ps ax | grep drpython" to get drpython PID number
3) Type "apt-get install strace".
4) Type this command "strace -f -p <PIDnumber> -o /tmp/log"
5) Go back to DrPython window, and try to run the python interpreter
6) When DrPython freezes, type Ctrl-C in the terminal where you started
the strace command.
7) Please send to 311936@bugs.debian.org the content of /tmp/log

Thanks.





Tags added: unreproducible Request was from Cedric Delfosse <cedric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Cedric Delfosse <cedric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cédric Delfosse <cedric@debian.org>:
Bug#311936; Package drpython. Full text and rfc822 format available.

Acknowledgement sent to Matt Campbell <xenolinguist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cédric Delfosse <cedric@debian.org>. Full text and rfc822 format available.

Message #23 received at 311936@bugs.debian.org (full text, mbox):

From: Matt Campbell <xenolinguist@gmail.com>
To: 311936@bugs.debian.org
Subject: Confirming lockup bug
Date: Fri, 17 Jun 2005 01:00:56 -0400
I can confirm both bugs, especially the freeze upon opening an
interpreter prompt.  I also found the freezing behavior reported at
the sourceforge site:
http://sourceforge.net/tracker/index.php?func=detail&aid=1205275&group_id=83074&atid=568238

The lockup seems to happen eventually in almost any interpreter
session, for me usually immediately upon pressing <F7> (or clicking
the tool button).  The prompt panel either does not make it past
"/usr/bin/python -u -i" - once or twice it has gotten to the ">>>"
prompt before freezing, but no farther.

strace command:      strace -f -p 18327 -o /tmp/trace.log
This is peculiar.  If I run the above against an instance of drpython
which is already frozen, it produces a log with the following block
perpetually repeating:

futex(0x818a940, FUTEX_WAKE, 1)         = 0
select(11, [10], NULL, NULL, {0, 0})    = 0 (Timeout)
futex(0x818a940, FUTEX_WAKE, 1)         = 0
select(13, [12], NULL, NULL, {0, 0})    = 0 (Timeout)
futex(0x818a940, FUTEX_WAKE, 1)         = 0
futex(0x818a940, FUTEX_WAKE, 1)         = 0
futex(0x818a940, FUTEX_WAKE, 1)         = 0
futex(0x818a940, FUTEX_WAKE, 1)         = 0
futex(0x818a940, FUTEX_WAKE, 1)         = 0
futex(0x818a940, FUTEX_WAKE, 1)         = 0
futex(0x818a940, FUTEX_WAKE, 1)         = 0
nanosleep({0, 25000000}, NULL)          = 0

Now for the pecuiar part... if the same strace procedure is used
*before* the lockup, the lockup never occurs at all and the prompt
panel is completely usable.  Is this a heisenbug? 
(http://www.catb.org/~esr/jargon/html/H/heisenbug.html)

A probable point of failure, or maybe an indicator of one:

$ grep -ni sleep /usr/share/drpython/*.py
/usr/share/drpython/drPrompt.py:73:             wx.Usleep(25)

So it's possible that the real bug could be upstream, in wx.  Also,
since there's a report of ths problem on a Gentoo system, I doubt it
is related to any of the Debian packaging.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.10-1-686-smp
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages drpython depends on:
ii  libwxgtk2.5.3-python          2.5.3.2    wxWidgets Cross-platform C++ GUI t
ii  python                        2.3.5-2    An interactive high-level object-o

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Cédric Delfosse <cedric@debian.org>:
Bug#311936; Package drpython. Full text and rfc822 format available.

Acknowledgement sent to Cedric Delfosse <cedric@debian.org>:
Extra info received and forwarded to list. Copy sent to Cédric Delfosse <cedric@debian.org>. Full text and rfc822 format available.

Message #28 received at 311936@bugs.debian.org (full text, mbox):

From: Cedric Delfosse <cedric@debian.org>
To: 311936@bugs.debian.org, Matt Campbell <xenolinguist@gmail.com>
Subject: Re: Bug#311936: Confirming lockup bug
Date: Sun, 24 Jul 2005 19:11:46 +0200
[Message part 1 (text/plain, inline)]
I think I have found a workaround.
The problem is that the python interpreter stay stuck in a blocking read
from stdin.
The trick is to give him an extra \n to unblock it.

Here is a patch. Could you try it ? It worked for me.

[drpython.patch (text/x-patch, attachment)]

Tags added: patch Request was from Cedric Delfosse <cedric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Cédric Delfosse <cedric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to stephen-debianbug@havok.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 311936-close@bugs.debian.org (full text, mbox):

From: Cédric Delfosse <cedric@debian.org>
To: 311936-close@bugs.debian.org
Subject: Bug#311936: fixed in drpython 3.10.13-3
Date: Sun, 28 Aug 2005 16:17:06 -0700
Source: drpython
Source-Version: 3.10.13-3

We believe that the bug you reported is fixed in the latest version of
drpython, which is due to be installed in the Debian FTP archive:

drpython_3.10.13-3.diff.gz
  to pool/main/d/drpython/drpython_3.10.13-3.diff.gz
drpython_3.10.13-3.dsc
  to pool/main/d/drpython/drpython_3.10.13-3.dsc
drpython_3.10.13-3_all.deb
  to pool/main/d/drpython/drpython_3.10.13-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 311936@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Delfosse <cedric@debian.org> (supplier of updated drpython package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 29 Aug 2005 00:24:42 +0200
Source: drpython
Binary: drpython
Architecture: source all
Version: 3.10.13-3
Distribution: unstable
Urgency: low
Maintainer: Cédric Delfosse <cedric@debian.org>
Changed-By: Cédric Delfosse <cedric@debian.org>
Description: 
 drpython   - simple and customizable editor for the Python language
Closes: 311936 325410
Changes: 
 drpython (3.10.13-3) unstable; urgency=low
 .
   * Now depends on python-wxgtk2.6, which has entered unstable
     (Closes: Bug#325410)
   * New patch for "hangs when opening a python interpreter" bug
     07_python_interpreter_hang.dpatch (Closes: Bug#311936)
Files: 
 356f1085f254c62f9e767991c5972652 596 devel optional drpython_3.10.13-3.dsc
 d691e4a05e87c7cddae6cbf3f05ad4c5 8991 devel optional drpython_3.10.13-3.diff.gz
 95248374218d440d6356a53f826bd532 490680 devel optional drpython_3.10.13-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDEkMhbmmXPPfovGMRAsf6AJwLcYp0ocjvtDPwuxA5R6tK9AkRBACgnusU
DwunCB1wNl6lHoII+V4JVmY=
=BeEa
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 05:29:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:45:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.